//*************************************************************************************
// 	: SQ7615_SPI_Flash_IS25LP080D.c
// 汾		: V1.0
// 		: SPI_Flash_IS25LP080Dʹú
// ע		: غ㼯ڱӳ
//**************************************************************************************
#include "main.h"

unsigned char IS25LP_ReadState();
unsigned char Status_Data;

//*********************************************************************
// 	: IS25LP_ReadState()
// 	: ȡIS25LP080D֮״̬Ĵ(Status Register)
// ע		: 0x05
//*********************************************************************
unsigned char IS25LP_ReadState(){  
uchar retValue;

    P4DO_P3 = 0;                           // /CS PIN Enable (͵ƽ)
    SIO_ByteSend(SIO_1,0x05);              // master TX 0x05 
	retValue = SIO_ByteRead(SIO_1);        // ȡStatus RegisterֵretValue
    P4DO_P3 = 1;	                       // /CS PIN Disable (ߵƽ)	
	return retValue;
}


//*********************************************************************
// 	: IS25LP_WaitBusy()
// 	: ݶȡIS25LP080D֮״̬Ĵ(Status Register)ֵжǷȴ
// ע		: 
//*********************************************************************
void IS25LP_WaitBusy(void){
uchar Status_Data;
uint  tWait_SIO;

	Status_Data = (IS25LP_ReadState() & 0x01); // Write In Progress bit(WIP)
    // WIP bit = "0" indicates the device is ready(default)
    // WIP bit = "1" indicates a write cycle is in progress and the device is busy

	while(Status_Data != 0x00)            // WIP bitΪ0װд룬æµУȴ
	{
		CLR_WDT;                           // Źʱ (ι)
		
		tWait_SIO++;				       // 
		if( tWait_SIO>1200 ){		       // ȴãѭ		
		
		break;
		}	
	}
}


//*********************************************************************
// 	: IS25LP_Write_Enable()
// 	:  д룬Write_EnableܽSector ErasePage Program
// ע		: 0x06
//*********************************************************************
void IS25LP_Write_Enable(void){
    P4DO_P3 = 0;                           // /CS PIN Enable (͵ƽ)
    SIO_ByteSend(SIO_1,0x06);              // master TX 0x06 
	SIO_ReservedStopWait(SIO_1);
    P4DO_P3 = 1;	                       // /CS PIN Disable (ߵƽ)
    
}


//*********************************************************************
// 	: IS25LP_Write_Disable()
// 	: (ֹ) д
// ע		: 0x04
//*********************************************************************
void IS25LP_Write_Disable(void){
    P4DO_P3 = 0;                           // /CS PIN Enable (͵ƽ)    
    SIO_ByteSend(SIO_1,0x04);			   // master TX 0x04 
	SIO_ReservedStopWait(SIO_1);
    P4DO_P3 = 1;	                       // /CS PIN Disable (ߵƽ)
}


