//SQ7615_OPMod
//-Sleep Mode_RTC_wake up
//-Deep Sleep_RTC_wake up
//*************************************************************************************
// 	: main.c
// 汾		: V3.1
// 		: 
// ˵	: SQ7615 Ʒ3 ֹģʽ
//			  (1) һģʽ
//			  (2) ˯ģʽ(Sleep Mode)
//			  (3) ģʽ(Deep Sleep Mode)
//
//			  һʼΪһģʽLED1Ϊ
//      	  °2: LED1𣬽˯ģʽRTCѷһģʽ󣬵LED1
//      	  °3: LED1𣬽ģʽRTCѷһģʽ󣬵LED1
// 
// ע		: 	  ***[ⲿپ] 32.768 KHZپ(P4.0)(P4.1)
//			      []	
//						    2  BTN2_in(P3.1) [IntEXT1]
//						    3  BTN3_in(P3.2) [IntEXT2]
//				  [LED] LED 1  (P2.0)
//**************************************************************************************
#ifndef	IO_MEM
#define	IO_MEM
#endif
#include "main.h"

RTC_Perpetual_Calendar_Time  rtc;                             
RTC_ALARM  rtc_alarm;

/* ----------------------  ------------------------ */
void main()
{
/* ---------------------- ϵͳʼ ------------------------ */
	PLLCR0_PLLEN  = 1;                     	  //  PLL
	while(PLLCR0_PLLRDY ==0);				  // ȴ PLL 
	CLKCR0_SCKPSC = 1;                        // ϵͳƵʳ2   (48M/2=24MHz) 
 	CLKCR0_SCKSRC = 1;                     	  // ʱԴлPLL	
	while(CLKCR0_SCKRDY ==0);				  // ȴ ϵͳʱ 

	P4FC1   = 0x03;                        	  // P4.0 O LXOUT  P4.1 O LXIN 
	P4FC2   = 0x03;
    CLKCR1_LXEN = 1;                     	  // ⲿٕrS  
    while(CLKCR1_LXRDY == 0);            	  // ȴⲿٕr犾;w
    CLKCR0_SCKLF = 1;                    	  // x LXTAL ϵyr   
/* ---------------------- ܽųʼ ------------------------ */
    P2OE  = 0x07;                        	  // 趨P2.0,P2.1,P2.2ܽΪ
    P3OE  = 0x00;                        	  // 趨P3.0ܽΪ
	P3PU |= 0x07;                       	  // 趨P3.0 
	LED1_out = 0;							  // ʼ趨LED1Ϊ״̬
	LED2_out = 1;							  // ʼ趨LED2Ϊ״̬
	LED3_out = 1;							  // ʼ趨LED3Ϊ״̬
/* ---------------------- EINT ʼ ------------------------ */		
	EINT_Init();                        	  // EINT ʼ
	EINT_IntEnable();                   	  // EINT ж()
/* ---------------------- RTC ʼ ------------------------ */		
    RTC_Init();                         	  // RTC ʼ
//------------------------------------------------------------------------------	
    while(1){
	
		if(Push_BTN2_Flag){      	  		  // °2
		    Push_BTN2_Flag = 0;	  			  // 2֮ⲿж
 			LED1_out = 1;               	  // LED1
		/* ------------------------- RTC  ------------------------- */	
			// 趨ʱ : 2019/11/18 Monday 15:07:57
			RTC_Setup();                	  // 趨RTCʱ
			
			// 趨ʱӾʱ : 18 Monday 15:08:00
			Alarm_Setup();					  // 趨ʱ
	        RTC_IntEnable(RTC_AIE,1);		  // ()RTC ж
			RTC_Start();					  // RTC 
			
		/* ---------------------- ˯ģʽ ------------------------ */		
			PMR_DSM = 0;                	  // ʹSleep ָ˯ģʽ   			
	        __ASM("SLEEP");             	  // SLEEP ָ
			
		/* ---------------------- ظһģʽ ------------------------ */
            __ASM("NOP");               	  // **ϵͳѺָ,ςɴģʽ,𽫳ϵڴ
	        
			RTC_Refresh(&rtc); 			  	  // RTC 
			RTC_IntDisable();				  // RTC жϳ
			RTC_Stop();                 	  // ֹͣRTC
		
			LED1_out = 0;               	  // LED1(P2.0)	
		}
		//--------------------------------------------------------------------------------------------------------
		else if(Push_BTN3_Flag){			  // °3
			Push_BTN3_Flag = 0;	  			  // 3֮ⲿж
 			LED1_out = 1;               	  // LED1
		/* ------------------------- RTC  ------------------------- */	
			RTC_Setup();                	  // 趨RTCʱ
			Alarm_Setup();					  // 趨ʱ
			RTC_IntEnable(RTC_AIE,1);		  // ()RTC ж
			RTC_Start();					  // RTC 
			
			CLKCR1_HIRCEN = 1;
	    /* ---------------------- ʼ ģʽ --------------------- */   
			PONCR_BROREN = 0; 				  // BROR λ·͹ģʽ
			
		/* ---------------------- ģʽ ------------------------ */	
			PMR_DSM = 1;                	  // Deep Sleepģʽ    			
	        __ASM("SLEEP");             	  // SLEEP ָ
			
		/* ---------------------- ظһģʽ ------------------------ */
            __ASM("NOP");               	  // **ϵͳѺָ,ςɴģʽ,𽫳ϵڴ
			RTC_Refresh(&rtc); 			  	  // RTC 
			RTC_IntDisable();				  // RTC жϳ
	        RTC_Stop();                 	  // ֹͣRTC

			LED1_out = 0;               	  // LED1(P2.0)

		}
		
    }
}


/* ---------------------- жϷ ------------------------ */
void __interrupt OnlyReti(void)
{
	__asm("NOP"); 							  // ָ
}

void __interrupt_n OnlyRetn(void)
{
	__asm("NOP");							  // ָ
}

void __interrupt_n IntWDT(void)
{
	__asm("NOP");							  // ָ
}

void __interrupt_n IntSWI(void)               // SWIλжϷ
{
	PRSTR7 = 0x5a;
	PRSTR7 = 0xa5;
	PRSTR7 = 0xc3;
	PRSTR7 = 0x3c;	
}
/* -------------------  жϷ ---------------------- */



/* -------------------- SQ7615ж ------------------ */
#pragma section const INT_VECTOR1 0xff40
void * const IntTbl1[] = {											
	OnlyReti,				/* 0xff40 : Reserved		*/									
	OnlyReti,				/* 0xff42 : Reserved		*/									
	OnlyReti,				/* 0xff44 : Reserved		*/									
	OnlyReti,				/* 0xff46 : Reserved		*/								
	OnlyReti,				/* 0xff48 : Reserved		*/									
	OnlyReti,				/* 0xff4a : Reserved		*/									
	OnlyReti,				/* 0xff4c : Reserved		*/									
	OnlyReti,				/* 0xff4e : Reserved		*/									
	OnlyReti,				/* 0xff50 : Reserved		*/									
	OnlyReti,				/* 0xff52 : Reserved		*/									
	OnlyReti,				/* 0xff54 : Reserved		*/									
	OnlyReti,				/* 0xff56 : Reserved		*/									
	OnlyReti,				/* 0xff58 : IntTCA7			*/	//жԴ:TCA7 16λʱ								
	OnlyReti,				/* 0xff5a : IntTCA6			*/	//жԴ:TCA6 16λʱ							
	OnlyReti,				/* 0xff5c : Reserved		*/									
	OnlyReti,				/* 0xff5e : Reserved		*/									
	OnlyReti,				/* 0xff60 : Reserved		*/									
	OnlyReti,				/* 0xff62 : Reserved		*/									
	OnlyReti,				/* 0xff64 : Reserved		*/									
	OnlyReti,				/* 0xff66 : Reserved		*/									
	OnlyReti,				/* 0xff68 : Reserved		*/									
	OnlyReti,				/* 0xff6a : Reserved		*/									
	OnlyReti,				/* 0xff6c : IntTX2			*/	//жԴ:UART2 TX2								
	OnlyReti,				/* 0xff6e : IntRX2			*/	//жԴ:UART2 RX2							
	OnlyReti,				/* 0xff70 : Reserved		*/									
	OnlyReti,				/* 0xff72 : Reserved		*/									
	OnlyReti,				/* 0xff74 : Reserved		*/									
	OnlyReti,				/* 0xff76 : IntTCA5			*/	//жԴ:TCA5 16λʱ								
	OnlyReti,				/* 0xff78 : IntTCA4			*/	//жԴ:TCA4 16λʱ								
	OnlyReti,				/* 0xff7a : Reserved		*/									
	OnlyReti,				/* 0xff7c : Reserved		*/									
	OnlyReti,				/* 0xff7e : Reserved		*/									
	OnlyReti,				/* 0xff80 : Reserved		*/									
	OnlyReti,		    	/* 0xff82 : Reserved		*/									
	OnlyReti,	    		/* 0xff84 : Reserved		*/									
	OnlyReti,				/* 0xff86 : Reserved		*/									
	OnlyReti,				/* 0xff88 : Reserved		*/									
	OnlyReti,				/* 0xff8a : Reserved		*/									
	OnlyReti,				/* 0xff8c : IntSIO1			*/	//жԴ:SIO 1								
	OnlyReti,				/* 0xff8e : IntI2C1			*/	//жԴ:I2C 1						
	OnlyReti,				/* 0xff90 : IntTX1			*/	//жԴ:UART1 TX1							
	OnlyReti,				/* 0xff92 : IntRX1			*/	//жԴ:UART1 RX1								
	OnlyReti,				/* 0xff94 : Reserved		*/									
	OnlyReti,				/* 0xff96 : Reserved		*/									
	OnlyReti,				/* 0xff98 : Reserved		*/									
	OnlyReti,				/* 0xff9a : IntTCA3			*/	//жԴ:TCA3 16λʱ							
	OnlyReti,				/* 0xff9c : IntTCA2			*/	//жԴ:TCA2 16λʱ								
	OnlyReti,				/* 0xff9e : Reserved		*/									
	OnlyReti,				/* 0xffa0 : IntMAC			*/	//жԴ:˷								
	OnlyReti,				/* 0xffa2 : IntEXT7			*/	//ⲿж7								
	OnlyReti,				/* 0xffa4 : IntEXT6			*/	//ⲿж6								
	OnlyReti,				/* 0xffa6 : IntEXT5			*/	//ⲿж5								
	OnlyReti,				/* 0xffa8 : IntEXT4			*/	//ⲿж4								
	OnlyReti,				/* 0xffaa : Reserved		*/									
	OnlyReti,				/* 0xffac : Reserved		*/									
	OnlyReti,				/* 0xffae : Reserved		*/							
	OnlyReti,				/* 0xffb0 : IntDIC			*/	//жԴ:DIC								
	OnlyReti,				/* 0xffb2 : Reserved		*/							
	OnlyReti,				/* 0xffb4 : Reserved		*/									
	OnlyReti,				/* 0xffb6 : Reserved		*/									
	OnlyReti,				/* 0xffb8 : Reserved		*/									
	OnlyReti,				/* 0xffba : Reserved		*/									
	OnlyReti,				/* 0xffbc : Reserved		*/									
	OnlyReti,				/* 0xffbe : Reserved		*/									
	OnlyReti,				/* 0xffc0 : Reserved		*/									
	OnlyReti,				/* 0xffc2 : Reserved		*/									
	OnlyReti,				/* 0xffc4 : IntFMC			*/	//жԴ:Flash								
	OnlyReti,				/* 0xffc6 : Reserved		*/					
	OnlyReti,				/* 0xffc8 : Reserved		*/									
	OnlyReti,				/* 0xffca : Reserved		*/									
	OnlyReti,				/* 0xffcc : Reserved		*/									
	OnlyReti,               /* 0xffce : IntADC			*/	//жԴ:ADC								
	OnlyReti,				/* 0xffd0 : IntEXT3			*/	//ⲿж3								
	IntEXT2,				/* 0xffd2 : IntEXT2			*/	//ⲿж2								
	IntEXT1,				/* 0xffd4 : IntEXT1			*/	//ⲿж1								
	IntEXT0,				/* 0xffd6 : IntEXT0			*/	//ⲿж0								
	OnlyReti,				/* 0xffd8 : IntSIO0			*/	//жԴ:SIO 0								
	OnlyReti,				/* 0xffda : IntI2C0			*/	//жԴ:I2C 0								
	OnlyReti,				/* 0xffdc : IntTX0			*/	//жԴ:UART0 TX0								
	OnlyReti,				/* 0xffde : IntRX0			*/	//жԴ:UART0 RX0								
	OnlyReti,				/* 0xffe0 : Reserved		*/									
	OnlyReti,				/* 0xffe2 : Reserved		*/									
	OnlyReti,				/* 0xffe4 : Reserved		*/									
	OnlyReti,				/* 0xffe6 : IntTCA1			*/	//жԴ:TCA1 16λʱ								
	OnlyReti,				/* 0xffe8 : IntTCA0			*/	//жԴ:TCA0 16λʱ								
	OnlyReti,				/* 0xffea : Reserved		*/									
	OnlyReti,				/* 0xffec : Reserved		*/									
	IntRTC,			    	/* 0xffee : IntRTC			*/	//жԴ:ʵʱʱRTCʱ								
	OnlyReti,				/* 0xfff0 : IntTBT			*/  //жԴ:ʱTBTʱ				
	OnlyReti,				/* 0xfff2 : Reserved		*/									
	OnlyReti,				/* 0xfff4 : IntCFD			*/	//жԴ:ʱʧЧ								
	OnlyReti,				/* 0xfff6 : IntLVD			*/	//жԴ:͵ѹLVD							
	IntWDT,					/* 0xfff8 : IntWDT			*/	//non-maskable жԴ:Źʱ		
	(void *)0xffff,			/* 0xfffa : Reserved		*/									
	IntSWI,					/* 0xfffc : IntSWI/INTUNDEF */	//non-maskable		
	STARTUP					/* 0xfffe : RESET			*/	//non-maskable			
};
#pragma section const
/* -------------------  SQ7615ж ---------------------- */